Module ij
Package ij.plugin

# Class CalibrationBar

java.lang.Object
ij.plugin.CalibrationBar

All Implemented Interfaces:
  `PlugIn`

public class CalibrationBar extends Object implements PlugIn
This plugin implements the Analyze/Tools/Calibration Bar command. Bob Dougherty, OptiNav, Inc., 4/14/2002 Based largely on HistogramWindow.java by Wayne Rasband. July 2002: Modified by Daniel Marsh and renamed CalibrationBar. January 2013: Displays calibration bar as an overlay. Jan 2020: calibration bar on separate image, Norbert Vischer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final double`
`STROKE_WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`CalibrationBar()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STROKE_WIDTH

public static final double STROKE_WIDTH

See Also:
  - Constant Field Values

## Constructor Details

### CalibrationBar

public CalibrationBar()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`